MDK Version 5 supports Device เฉพาะรุ่นใหม่ๆ

  • 4 Replies
  • 2429 Views
*

Offline Admin

  • *****
  • 4219
    • View Profile
    • ไดโน เมกเกอร์
http://www.keil.com/dd2/

ถ้าอยากเล่นตัวเก่า ๆ ที่ V4 support หรือใช้งาน Project เก่าที่สร้างขึ้นโดย V4  ให้ลงตัวเสริม Legacy Support

http://www2.keil.com/mdk5/legacy
รับทำ PCB 1-4 Layer (เป็นแบบ PTH) ไม่มีค่า Setup เริ่มต้นเพียง 750 บ. ส่งฟรี => http://www.duinomaker.com

ขอบคุณคับ
แล้วkeil5มันมีอะไรใหม่เพิ่มเข้ามาบ้างคับ

*

Offline gui

  • ***
  • 111
    • View Profile
เท่าที่เข้าใจนะครับ
แต่เดิม Keil เค้าจะรวมทุกอย่างเข้าไว้ในไฟล์ Install ตัวเดียว ไฟล์มันจะใหญ่ขึ้นทุกวัน ตามเบอร์ไอซีที่มันสนับสนุน จากเดิมใน MDK-ARM Version  3 สนับสนุนแค่ไม่กี่บริษัท ไฟล์แค่ ร้อยกว่า MByte มาถึง C4.71a ขนาด 500 กว่าเมก
พอใน MDK-ARM Version 5 ก็เลยแยกส่วนของโปรแกรม ออกจากส่วนของไฟล์สนับสนุนไอซีไมโครของแต่ละบริษัทออกจากกัน
เป็น MDK500.exe ที่เป็นตัวแปลภาษาซี แอสเซมบลี้ ไดร์ฟเวอร์ของตัวดีบักเกอร์ ฯลฯ ขนาด 294 เมก
      MDKCM500.exe ที่เป็นข้อมูลของไมโครคอนโทรลเลอร์ตระกูล Cortem-M ต่างๆ ขนาด 336 เมก

ตอนลงลงแต่ MDK500.exe มันจะไม่รู้จักกับไอซีไมโครอะไรเลย
ต้องลง อีกตัวเพิ่มถึงจะใช้ได้

ต่อไปถ้ามีการสนับสนุนเบอร์ใหม่ๆ คนใช้ก็ไปโหลดไฟล์จาก Software Pack http://www.keil.com/dd2/Pack/ เอง
ข้อดียังไม่รู้ ต้องลองเล่นก่อน

*

Offline tha

  • *****
  • 2752
    • View Profile
ขอบคุณครับ ลง  Legacy Support ให้ใช้งาน Project เก่าที่สร้างขึ้นโดย V4 ได้ แล้วไม่ต้องลง software pack เพิ่มใช่มั้ยครับ  คือผมมีใช้แต่ stm32

*

Offline tha

  • *****
  • 2752
    • View Profile
ลองลง MDK500.exe แล้วครับ แล้ว software pack รันขึ้น เลือก install เฉพาะเบอร์ที่เราใช้ก่อน (stm32) ไม่ต้องลง Legacy support ก็สามารถเปิดไฟล์เก่าได้ครับ เพราะใน software pack มีเบอร์อยู่ครบแล้ว (เฉพาะของผมเลือกแต่ stm32) และมี example ให้ copy ไปใช้ด้วย
(For devices that currently aren't supported by Software Packs, Legacy Support packages are available.)